Method: networks.orders.batchCreate

Creates Order objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/orders:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where Orders will be created. Format: networks/{networkCode} The parent field in the CreateOrderRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateOrderRequest)
    }
  ]
}
Fields
requests[]

object (CreateOrderRequest)

Required. The Order objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for orders.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "orders": [
    {
      object (Order)
    }
  ]
}
Fields
orders[]

object (Order)

The Order objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateOrderRequest

Request object for CreateOrder method.

JSON representation
{
  "parent": string,
  "order": {
    object (Order)
  }
}
Fields
parent

string

Required. The parent resource where this Order will be created. Format: networks/{networkCode}

order

object (Order)

Required. The Order to create.